#
# Conditional build:
%bcond_with	tests			# disable testing
%bcond_without	tcl			# disable Tcl support
%bcond_without	kerberos5		# disable kerberos5 support
%bcond_without	perl			# disable Perl support
%bcond_without	python			# disable Python support
%bcond_with	bonjour			# Bonjour/DNS_SD support
%bcond_without	ldap			# disable LDAP support
%bcond_without	selinux			# sepgsql contrib module
%bcond_with	systemtap		# systemtap/dtrace probes
%bcond_with	absolute_dbpaths	# enable absolute paths to create database
					# (disabled by default because it is a security risk)
#

%define beta %{nil}
%define pgsqlversion 12
%define pgsqlpriority 120

Summary:	PostgreSQL Data Base Management System
Summary(de.UTF-8):	PostgreSQL Datenbankverwaltungssystem
Summary(es.UTF-8):	Gestor de Banco de Datos PostgreSQL
Summary(fr.UTF-8):	Sysème de gestion de base de données PostgreSQL
Summary(pl.UTF-8):	PostgreSQL - system bazodanowy
Summary(pt_BR.UTF-8):	Gerenciador de Banco de Dados PostgreSQL
Summary(ru.UTF-8):	PostgreSQL - система управления базами данных
Summary(tr.UTF-8):	Veri Tabanı Yönetim Sistemi
Summary(uk.UTF-8):	PostgreSQL - система керування базами даних
Summary(zh_CN.UTF-8):	PostgreSQL 客户端程序和库文件
Name:		postgresql-%{pgsqlversion}
Version:	%{pgsqlversion}.18
Release:	1%{?tld}
License:	BSD
Group:		Applications/Databases
Source0:	http://ftp.postgresql.org/pub/source/v%{version}/postgresql-%{version}.tar.bz2
# Source0-md5:	6cfbb847c2fae634e409f57b69df31ec
Source1:	postgresql.init
Source2:	pgsql-Database-HOWTO-html.tar.gz
# Source2-md5:	5b656ddf1db41965761f85204a14398e
Source3:	postgresql.sysconfig
Patch0:		postgresql-conf.patch
Patch1:		postgresql-absolute_dbpaths.patch
Patch2:		postgresql-ecpg-includedir.patch
Patch3:		per-version-dirs.patch
Patch4:		postgresql-tests.patch
Patch5:		postgresql-heimdal.patch
Patch6:		postgresql-link.patch
Patch7:		socket-dir-fixes.patch
Patch8:		postgresql-autoconf.patch
Patch9:		postgresql-python3.patch
URL:		http://www.postgresql.org/
BuildRequires:	autoconf >= 2.69
BuildRequires:	automake
%{?with_bonjour:BuildRequires:	avahi-compat-libdns_sd-devel}
# not needed for releases... but fixes something in snapshot
BuildRequires:	bison >= 1.875
BuildRequires:	docbook-dtd42-sgml
BuildRequires:	docbook-dtd42-xml
BuildRequires:	docbook-style-xsl
BuildRequires:	flex >= 2.5.31
BuildRequires:	gettext-tools
BuildRequires:	gnome-doc-tools
%{?with_kerberos5:BuildRequires:	heimdal-devel}
%{?with_selinux:BuildRequires:	libselinux-devel >= 2.1.10}
BuildRequires:	libtool
BuildRequires:	libxml2-devel >= 1:2.6.23
BuildRequires:	libxslt-devel
BuildRequires:	libxslt-progs
BuildRequires:	ncurses-devel >= 5.0
%{?with_ldap:BuildRequires:	openldap-devel}
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	ossp-uuid-devel
BuildRequires:	pam-devel
%{?with_perl:BuildRequires:	perl-devel}
%if %{with python}
BuildRequires:	python3
BuildRequires:	python3-devel
BuildRequires:	python3-modules
%endif
BuildRequires:	readline-devel >= 4.2
BuildRequires:	rpmbuild(macros) >= 1.671
%{?with_systemtap:BuildRequires:	systemtap-sdt-devel}
%{?with_tcl:BuildRequires:	tcl-devel >= 8.4.3}
%{?with_tests:BuildRequires:	tzdata}
BuildRequires:	zlib-devel
Requires(post,preun):	/sbin/chkconfig
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(post):	/bin/id
Requires(post):	/usr/sbin/usermod
Requires:	%{name}-clients = %{version}-%{release}
Requires:	%{name}-dirs = %{version}-%{release}
Requires:	postgresql-libs >= %{version}-%{release}
Requires:	rc-scripts >= 0.4.3.0
Requires:	tzdata
Obsoletes:	postgresql
Obsoletes:	postgresql-module-plpgsql
Obsoletes:	postgresql-module-tsearch2
Obsoletes:	postgresql-server
Obsoletes:	postgresql-test
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%define		pgsqldatadir	%{_datadir}/postgresql/%{pgsqlversion}
%define		pgsqllibdir	%{_libdir}/postgresql/%{pgsqlversion}
%define		moduledir	%{pgsqllibdir}/lib
%define		extensiondir	%{pgsqldatadir}/extension

%define		_ulibdir	/usr/lib

# omitted contribs:
# spi, test_decoding, worker_spi - examples/tests
# tsearch2 - old module for compatibility only
%define	contrib_modules	adminpack auth_delay auto_explain bloom btree_gin btree_gist citext cube dblink dict_int dict_xsyn earthdistance file_fdw fuzzystrmatch hstore %{?with_perl:hstore_plperl} %{?with_python:hstore_plpython} intagg intarray isn lo ltree %{?with_python:ltree_plpython} oid2name pageinspect passwordcheck pg_buffercache pg_freespacemap pg_prewarm pg_standby pg_stat_statements pg_trgm pg_visibility pgcrypto pgrowlocks pgstattuple postgres_fdw seg %{?with_selinux:sepgsql} sslinfo tablefunc tcn tsm_system_rows tsm_system_time unaccent uuid-ossp vacuumlo xml2

%description
PostgreSQL Data Base Management System (formerly known as Postgres,
then as Postgres95).

PostgreSQL is an enhancement of the POSTGRES database management
system, a next-generation DBMS research prototype. While PostgreSQL
retains the powerful data model and rich data types of POSTGRES, it
replaces the PostQuel query language with an extended subset of SQL.
PostgreSQL is free and the complete source is available.

PostgreSQL development is being performed by a team of Internet
developers who all subscribe to the PostgreSQL development mailing
list. The current coordinator is Marc G. Fournier
(scrappy@postgreSQL.org). This team is now responsible for all current
and future development of PostgreSQL.

The authors of PostgreSQL 1.01 were Andrew Yu and Jolly Chen. Many
others have contributed to the porting, testing, debugging and
enhancement of the code. The original Postgres code, from which
PostgreSQL is derived, was the effort of many graduate students,
undergraduate students, and staff programmers working under the
direction of Professor Michael Stonebraker at the University of
California, Berkeley.

The original name of the software at Berkeley was Postgres. When SQL
functionality was added in 1995, its name was changed to Postgres95.
The name was changed at the end of 1996 to PostgreSQL.

PostgreSQL runs on Solaris, SunOS, HPUX, AIX, Linux, Irix, FreeBSD,
and most flavours of Unix.

%description -l pl.UTF-8
System Zarządzania Bazą Danych PostgreSQL (dawniej znany jako
Postgres, następnie jako Postgres95).

PostgreSQL jest rozszerzeniem systemu zarządzania baz danych POSTGRES,
prototypu DBMS następnej generacji. Co prawda PostgreSQL odziedziczył
model danych oraz bogaty zbiór różnych typów danych, to jednak język
zapytań PostQuel został zastąpiony rozszerzonym SQL-em. PostgreSQL
jest wolnym oprogramowaniem i kody źródłowe tego oprogramowania są w
pełni dostępne.

System PostgreSQL jest tworzony przez zespół ludzi, którzy są zapisani
na listę dyskusyjną dotyczącą PostgreSQL-a. Obecnym koordynatorem jest
Marc G. Fournier (scrappy@postgreSQL.org). Wymieniony wyżej zespół
jest odpowiedzialny za aktualny i przyszły rozwój systemu PostgreSQL.

Autorami PostgreSQL-a 1.01 byli Andrew Yu oraz Jolly Chen. Wielu
innych pomagało przenosząc na różne platformy, testując, analizując i
rozszerzając kod. Oryginalny kod Postgres-a, na podstawie którego
PostgreSQL powstał, był wysiłkiem wielu absolwentów, studentów oraz
zespołu programistów, którzy pracowali pod kierunkiem profesora
Michaela Stonebrakera z Uniwersytetu Kalifornii w Berkeley.

Nazwa oryginalna oprogramowania tworzonego w Berkeley brzmiała
Postgres. W 1995 roku dodano język zapytań SQL i nazwę zmieniono na
Postgres95. W końcu roku 1996 nazwę ostatecznie zmieniono na
PostgreSQL.

PostgreSQL może być uruchomiony pod następującymi systemami: Solaris,
SunOS, HPUX, AIX, Linux, Irix, FreeBSD i innymi systemami uniksowymi.

%package -n postgresql-common
Summary:	Common PostgreSQL files and directories
Summary(pl.UTF-8):	PostgreSQL - wspólne pliki i katalogi
Group:		Applicataion/Databases
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd

%description -n postgresql-common
Common PostgreSQL files and directories.

%description -n postgresql-common -l pl.UTF-8
PostgreSQL - wspólne pliki i katalogi.

%package dirs
Summary:	Common directories for PostgresSQL %{pgsqlversion}
Summary(pl.UTF-8):	Wspólne pliki i katalogi dla PostgreSQL %{pgsqlversion}
Group:		Applicataion/Databases
Requires:	postgresql-common >= %{version}-%{release}

%description dirs
Common directories for PostgresSQL %{pgsqlversion}

%description dirs -l pl.UTF-8
Wspólne pliki i katalogi dla PostgreSQL %{pgsqlversion}

%package backend-devel
Summary:	PostgreSQL backend development header files
Summary(pl.UTF-8):	PostgreSQL - pliki nagłówkowe dla backendu
Group:		Development/Libraries
Requires:	postgresql-devel >= %{version}-%{release}
Requires:	postgresql-libs >= %{version}-%{release}
Obsoletes:	postgresql-backend-devel

%description backend-devel
This package contains header files required to compile functions that
could be loaded directly by backend

%description backend-devel -l pl.UTF-8
Pakiet zawiera nagłówki wymagane do kompilacji funkcji ktore moga byc
bezposrednio ladowane przez beckend serwera PostgreSQL.

%package clients
Summary:	Clients needed to access a PostgreSQL server
Summary(es.UTF-8):	Clientes necesarios para acceder al servidor PostgreSQL
Summary(pl.UTF-8):	Klienci wymagani do dostępu do serwera PostgreSQL
Summary(pt_BR.UTF-8):	Clientes necessários para acessar o servidor PostgreSQL
Summary(ru.UTF-8):	Клиентские программы, необходимые для доступа к серверу PostgreSQL
Summary(uk.UTF-8):	Клієнтські програми, необхідні для доступу до сервера PostgreSQL
Group:		Applications/Databases
Requires:	alternatives
Requires:	%{name}-dirs = %{version}-%{release}
Requires:	postgresql-libs >= %{version}-%{release}
Obsoletes:	postgresql-clients

%description clients
This package includes only the clients needed to access an PostgreSQL
server. The server is included in the main package. If all you need is
to connect to another PostgreSQL server, the this is the only package
you need to install. Clients include several command-line utilities
you can use to manage your databases on a remote PostgreSQL server.

%description clients -l pl.UTF-8
Pakiet zawiera programy klienckie potrzebne dla dostępu do serwera
PostgreSQL oraz narzędzia do zarządzania bazami działające z linii
poleceń. Serwer znajduje się w głównym pakiecie.

%package doc
Summary:	Documentation for PostgreSQL
Summary(pl.UTF-8):	Dodatkowa dokumantacja dla PostgreSQL
Group:		Applications/Databases
Obsoletes:	postgresql-doc

%description doc
This package includes documentation and HOWTO for programmer, admin
etc., in HTML format.

%description doc -l pl.UTF-8
Pakiet ten zawiera dokumentację oraz HOWTO m.in. dla programistów,
administratorów w formacie HTML.

%package ecpg
Summary:	Embedded SQL in C interface
Summary(pl.UTF-8):	Interfejs wbudowanego SQL-a w język C
Group:		Libraries
Requires:	%{name}-dirs = %{version}-%{release}
Requires:	postgresql-libs >= %{version}-%{release}
Requires:	postgresql-ecpg-libs >= %{version}-%{release}
Obsoletes:	postgresql-ecpg

%description ecpg
Embedded SQL in C interface.

%description ecpg -l pl.UTF-8
Interfejs wbudowanego SQL-a w język C.

%package module-plperl
Summary:	PL/perl - PostgreSQL procedural language
Summary(pl.UTF-8):	PL/perl - język proceduralny bazy danych PostgreSQL
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Obsoletes:	postgresql-module-plperl

%description module-plperl
From PostgreSQL documentation:

Postgres supports the definition of procedural languages. In the case
of a function or trigger procedure defined in a procedural language,
the database has no built-in knowledge about how to interpret the
function's source text. Instead, the task is passed to a handler that
knows the details of the language. The handler itself is a special
programming language function compiled into a shared object and loaded
on demand.

To enable PL/Perl procedural language for your database you have to
run createlang command.

%description module-plperl -l pl.UTF-8
Z dokumentacji PostgreSQL:

Postgres ma wsparcie dla języków proceduralnych. W przypadku, kiedy
programista zdefiniuje procedurę wyzwalacza lub funkcję w języku
proceduralnym, baza danych nie ma pojęcia jak interpretować tego typu
funkcję. Funkcja lub procedura ta jest przekazywana do interpretera,
który wie jak ją wykonać. Interpreter jest odpowiednią, specjalną
funkcją, która jest skompilowana w obiekt dzielony i ładowany w razie
potrzeby.

Za pomocą polecenia createlang można dodać obsługę języka
proceduralnego PL/Perl dla swojej bazy danych.

%package module-plpython
Summary:	PL/Python - PostgreSQL procedural language
Summary(pl.UTF-8):	PL/Python - język proceduralny bazy danych PostgreSQL
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python3
Obsoletes:	postgresql-module-plpython

%description module-plpython
From PostgreSQL documentation:

Postgres supports the definition of procedural languages. In the case
of a function or trigger procedure defined in a procedural language,
the database has no built-in knowledge about how to interpret the
function's source text. Instead, the task is passed to a handler that
knows the details of the language. The handler itself is a special
programming language function compiled into a shared object and loaded
on demand.

To enable PL/Python procedural language for your database you have to
run createlang command.

%description module-plpython -l pl.UTF-8
Z dokumentacji PostgreSQL:

Postgres ma wsparcie dla języków proceduralnych. W przypadku, kiedy
programista zdefiniuje procedurę wyzwalacza lub funkcję w języku
proceduralnym, baza danych nie ma pojęcia jak interpretować tego typu
funkcję. Funkcja lub procedura ta jest przekazywana do interpretera,
który wie jak ją wykonać. Interpreter jest odpowiednią, specjalną
funkcją, która jest skompilowana w obiekt dzielony i ładowany w razie
potrzeby.

Za pomocą polecenia createlang można dodać obsługę języka
proceduralnego PL/Python dla swojej bazy danych.

%package module-pltcl
Summary:	PL/Tcl - PostgreSQL procedural language
Summary(pl.UTF-8):	PL/Tcl - język proceduralny bazy danych PostgreSQL
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Requires:	tcl(Pgtcl)
Obsoletes:	postgresql-module-pltcl

%description module-pltcl
From PostgreSQL documentation:

Postgres supports the definition of procedural languages. In the case
of a function or trigger procedure defined in a procedural language,
the database has no built-in knowledge about how to interpret the
function's source text. Instead, the task is passed to a handler that
knows the details of the language. The handler itself is a special
programming language function compiled into a shared object and loaded
on demand.

To enable PL/Tcl procedural language for your database you have to run
createlang command.

%description module-pltcl -l pl.UTF-8
Z dokumentacji PostgreSQL:

Postgres ma wsparcie dla języków proceduralnych. W przypadku, kiedy
programista zdefiniuje procedurę wyzwalacza lub funkcję w języku
proceduralnym, baza danych nie ma pojęcia jak interpretować tego typu
funkcję. Funkcja lub procedura ta jest przekazywana do interpretera,
który wie jak ją wykonać. Interpreter jest odpowiednią, specjalną
funkcją, która jest skompilowana w obiekt dzielony i ładowany w razie
potrzeby.

Za pomocą polecenia createlang można dodać obsługę języka
proceduralnego PL/Tcl dla swojej bazy danych.

%package module-dblink
Summary:	dblink module for PostgreSQL
Summary(pl.UTF-8):	Moduł dblink dla PostgreSQL-a
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Obsoletes:	postgresql-module-dblink

%description module-dblink
dblink module for PostgreSQL provides functions returning results from
remote database.

%description module-dblink -l pl.UTF-8
Moduł dblink dla PostgreSQL-a udostępnia funkcje zwracające wyniki ze
zdalnej bazy danych.

%package module-lo
Summary:	Large Objects module for PostgreSQL
Summary(pl.UTF-8):	Moduł Large Objects dla PostgreSQL-a
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Obsoletes:	postgresql-module-lo

%description module-lo
Large Objects module for PostgreSQL adds a new data type 'lo', some
support functions and a trigger which handles the orphaning problem.

%description module-lo -l pl.UTF-8
Moduł Large Objects dla PostgreSQL-a dodaje nowy typ danych 'lo',
kilka funkcji pomocniczych i wyzwalacz rozwiązujący problem
osieroconych obiektów.

%package module-pg_trgm
Summary:	Trigram matching for PostgreSQL
Summary(pl.UTF-8):	Dopasowanie trigramowe dla PostgreSQL-a
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Obsoletes:	postgresql-module-pg_trgm

%description module-pg_trgm
This module provides functions and index classes for determining the
similarity of text based on trigram matching.

%description module-pg_trgm -l pl.UTF-8
Ten moduł dostarcza funkcje i klasy do rozpoznawania podobnych tekstów
w oparciu o dopasowywanie trigramowe (trigram matching).

%package module-pgcrypto
Summary:	Cryptographic functions for PostgreSQL
Summary(pl.UTF-8):	Funkcje kryptograficzne dla PostgreSQL-a
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Obsoletes:	postgresql-module-pgcrypto

%description module-pgcrypto
Cryptographic functions for PostgreSQL.

%description module-pgcrypto -l pl.UTF-8
Funkcje kryptograficzne dla PostgreSQL.

%package module-sepgsql
Summary:	PostgreSQL external security provider using SELinux
Summary(pl.UTF-8):	Zewnętrzny moduł bezpieczeństwa PostgreSQL-a wykorzystujący SELinuksa
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Requires:	libselinux >= 2.1.10
Obsoletes:	postgresql-module-sepgsql

%description module-sepgsql
PostgreSQL external security provider using SELinux.

%description module-sepgsql -l pl.UTF-8
Zewnętrzny moduł bezpieczeństwa PostgreSQL-a wykorzystujący SELinuksa.

%package module-tablefunc
Summary:	crosstab functions for PostgreSQL
Summary(pl.UTF-8):	Funkcje crosstab dla PostgreSQL-a
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Obsoletes:	postgresql-module-tablefunc

%description module-tablefunc
crosstab functions for PostgreSQL.

%description module-tablefunc -l pl.UTF-8
Funkcje crosstab dla PostgreSQL-a.

%package module-xml2
Summary:	XML-handling functions for PostgreSQL
Summary(pl.UTF-8):	Funkcje do obsługi XML-a dla PostgreSQL-a
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Requires:	libxml2 >= 1:2.6.23
Obsoletes:	postgresql-module-xml2

%description module-xml2
Module with XML functions provides both XPath querying and XSLT
functionality. There is also a new table function which allows the
straightforward return of multiple XML results.

%description module-xml2 -l pl.UTF-8
Moduł z funkcjami XML zapewniającymi obsługę zapytań XPath oraz
funkcjonalność XSLT. Jest także nowa funkcja tabelowa pozwalająca na
bezpośrednie zwracanie wielu wyników XML.

%package contrib
Summary:	Miscellaneous PostgreSQL contrib modules
Summary(pl.UTF-8):	Różne moduły dołączone do PostgreSQL-a
Group:		Applications/Databases
Requires:	%{name} = %{version}-%{release}
Obsoletes:	postgresql-contrib

%description contrib
Miscellaneous PostgreSQL contrib modules.

%description contrib -l pl.UTF-8
Różne moduły dołączone do PostgreSQL-a.

%prep
%setup -q -n postgresql-%{version}
%patch0 -p1
%{?with_absolute_dbpaths:%patch1 -p1}
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1
%patch7 -p1
%patch8 -p1
%patch9 -p1

# force rebuild of bison/flex files
find src -name \*.l -o -name \*.y | xargs touch

# Erase all CVS dirs
#find contrib -type d -name CVS -exec rm -rf {} \;

%build
%{__aclocal} -I config
%{__autoconf}
%{__autoheader}
%configure \
	CFLAGS="%{rpmcflags} -DNEED_REENTRANT_FUNCS `uuid-config --cflags`" \
	--prefix=%{pgsqldatadir} \
	--bindir=%{pgsqllibdir}/bin \
	--sbindir=%{pgsqllibdir}/sbin \
	--includedir=%{_includedir} \
	--mandir=%{pgsqldatadir}/man \
	--datadir=%{pgsqldatadir} \
	--libdir=%{_libdir} \
	--docdir=%{pgsqldatadir}/doc \
	--localedir=%{_datadir}/locale \
	--disable-rpath \
	--enable-depend \
	%{?with_systemtap:--enable-dtrace} \
	--enable-integer-datetimes \
	--enable-nls \
	--enable-thread-safety \
	%{?with_bonjour:--with-bonjour} \
	%{?with_kerberos5:--with-gssapi} \
	%{?with_ldap:--with-ldap} \
	--with-libxml \
	--with-libxslt \
	--with-openssl \
	--with-pam \
	%{?with_perl:--with-perl} \
	%{?with_python:--with-python} \
	%{?with_selinux:--with-selinux} \
	--with-system-tzdata=%{_datadir}/zoneinfo \
	--without-systemd \
	%{?with_tcl:--with-tcl --with-tclconfig=%{_ulibdir}} \
	--with-uuid=e2fs

%{__make}

for mod in %{contrib_modules}; do \
	flags="%{rpmcflags} %{rpmcppflags} -DNEED_REENTRANT_FUNCS"
	if [ $mod = "xml2"      ]; then flags="$flags -I/usr/include/libxml2"; fi
	if [ $mod = "uuid-ossp" ]; then flags="$flags `uuid-config --cflags`"; fi
	%{__make} -C contrib/$mod CFLAGS="$flags"
done

%{__make} -C src/tutorial \
	NO_PGXS=1

%ifnarch sparc sparcv9 sparc64 alpha
%{?with_tests:%{__make} -j1 check}
%endif

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir},/etc/{rc.d/init.d,sysconfig}} \
	$RPM_BUILD_ROOT/var/{lib/postgresql/%{pgsqlversion},log/{archive,}/postgresql,run/postgresql} \
	$RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version} \
	$RPM_BUILD_ROOT{%{_bindir},%{_mandir}/man1}

install src/tutorial/*.sql $RPM_BUILD_ROOT%{_examplesdir}/%{name}-%{version}

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT
%{__make} -C doc/src/sgml install-man \
	DESTDIR=$RPM_BUILD_ROOT

%if %{with perl}
%{__make} install -C src/pl/plperl \
	DESTDIR=$RPM_BUILD_ROOT
%endif

for mod in %{contrib_modules}; do \
	%{__make} -C contrib/$mod install \
		DESTDIR=$RPM_BUILD_ROOT
done

sed -e 's,@pgsqlbindir@,%{pgsqllibdir}/bin,g; s,@pgsqlversion@,%{pgsqlversion},g;' %{SOURCE1} >$RPM_BUILD_ROOT/etc/rc.d/init.d/postgresql-%{pgsqlversion}
sed -e 's,@pgsqlversion@,%{pgsqlversion},g;' %{SOURCE3} >$RPM_BUILD_ROOT/etc/sysconfig/postgresql-%{pgsqlversion}

install -d howto
tar zxf %{SOURCE2} -C howto

%if %{with python}
%py3_comp $RPM_BUILD_ROOT%{py3_libdir}
%py3_ocomp $RPM_BUILD_ROOT%{py3_libdir}
%endif

# find locales
for f in libpq5 pgscripts postgres psql initdb ecpg ecpglib6 \
	plpgsql %{?with_perl:plperl} %{?with_python:plpython} \
	pg_archivecleanup pg_basebackup pg_checksums pg_config pg_controldata pg_ctl pg_dump pg_resetwal pg_rewind pg_test_fsync pg_test_timing pg_upgrade pg_waldump; do
	%find_lang $f-%{pgsqlversion}
done
# merge locales
merge_lang() {
	cat $(for f in $@; do echo ${f}-%{pgsqlversion}.lang ; done)
}
merge_lang pgscripts postgres plpgsql \
	pg_basebackup pg_checksums pg_controldata pg_resetwal pg_rewind pg_upgrade pg_test_fsync pg_test_timing pg_waldump > main.lang
merge_lang psql initdb \
	pg_archivecleanup pg_ctl pg_dump > clients.lang

%if %{with tcl}
%find_lang pltcl-%{pgsqlversion}
%endif

%if %{with selinux}
%{__mv} $RPM_BUILD_ROOT{%{pgsqldatadir}/contrib,%{extensiondir}}/sepgsql.sql
%endif

cp -p src/pl/plperl/ppport.h $RPM_BUILD_ROOT%{_includedir}/postgresql/%{pgsqlversion}/server/

# package it...?  nah, why bother.
%{__rm} -r $RPM_BUILD_ROOT%{pgsqldatadir}/doc/html

# remove common files provided by PostgreSQL from master branch
%{__rm} -r $RPM_BUILD_ROOT%{_includedir}/{ecpg*,libpq*,pg_config*,postgres_ext.h,postgresql/internal}
%{__rm} -r $RPM_BUILD_ROOT{%{_libdir}/{libecpg*,libpg*,libpq*,pkgconfig},%{pgsqllibdir}/bin/pg_config,%{pgsqldatadir}/man/man1/pg_config.1*}
%{__rm} -r $RPM_BUILD_ROOT%{_datadir}/locale/*/LC_MESSAGES/{ecpglib*,libpq*,pg_config*}

%clean
rm -rf $RPM_BUILD_ROOT

%pre
PG_DB_CLUSTERS=""
if [ -f /etc/sysconfig/postgresql-%{pgsqlversion} ]; then
	. /etc/sysconfig/postgresql-%{pgsqlversion}
	if [ -z "$PG_DB_CLUSTERS" -a -n "$POSTGRES_DATA_DIR" ]; then
		PG_DB_CLUSTERS="$POSTGRES_DATA_DIR"
	fi
fi
foundold=0
for pgdir in $PG_DB_CLUSTERS; do
	if [ -f $pgdir/PG_VERSION ]; then
		if [ $(cat $pgdir/PG_VERSION) != '%{pgsqlversion}' ]; then
			echo "Found database(s) in older, incompatible format in cluster $pgdir."
			foundold=1
		fi
	fi
done
if [ "$foundold" = "1" ]; then
	echo
	echo "Dump all data from clusters mentioned above (using pg_dump or pg_dumpall)"
	echo "and clean (or rename) those directories; then upgrade postgresql and"
	echo "restore all data (using pg_restore or psql)."
	echo "Remember to stop the daemon before upgrading!"
	echo
	echo "Alternatively you can use pg_upgrade for 8.3+ online upgrade with"
	echo "some restrictions: http://www.postgresql.org/docs/10.0/static/pgupgrade.html"
	echo
	exit 1
fi

%triggerpostun -- postgresql < 10.5-2
if [ -n "`/bin/id -u postgres 2>/dev/null`" ]; then
	/usr/sbin/usermod -d /var/lib/postgresql postgres
fi
echo
echo "This version of PostgreSQL uses new default location for database clusters."
echo "Please move your existing clusters before starting PostgreSQL so they follow"
echo "below scheme:"
echo
echo "/var/lib/postgresql/<version>/<name>"
echo
echo "where <version> means PostgreSQL version like 9.6 or 10 and name is cluster"
echo "name of your choice. When done, be sure to update /etc/sysconfig/postgresql*"
echo "files so they reflect your changes."
echo

%post
/sbin/chkconfig --add postgresql-%{pgsqlversion}
%service postgresql-%{pgsqlversion} restart "postgresql-%{pgsqlversion} server"

%preun
if [ "$1" = "0" ]; then
	%service postgresql-%{pgsqlversion} stop
	/sbin/chkconfig --del postgresql-%{pgsqlversion}
fi

%posttrans	clients
update-alternatives \
	--install %{_bindir}/clusterdb clusterdb %{pgsqllibdir}/bin/clusterdb %{pgsqlpriority} \
	--slave %{_mandir}/man1/clusterdb.1 clusterdb.1 %{pgsqldatadir}/man/man1/clusterdb.1* || :
update-alternatives \
	--install %{_bindir}/createdb createdb %{pgsqllibdir}/bin/createdb %{pgsqlpriority} \
	--slave %{_mandir}/man1/createdb.1 createdb.1 %{pgsqldatadir}/man/man1/createdb.1* || :
update-alternatives \
	--install %{_bindir}/createuser createuser %{pgsqllibdir}/bin/createuser %{pgsqlpriority} \
	--slave %{_mandir}/man1/createuser.1 createuser.1 %{pgsqldatadir}/man/man1/createuser.1* || :
update-alternatives \
	--install %{_bindir}/dropdb dropdb %{pgsqllibdir}/bin/dropdb %{pgsqlpriority} \
	--slave %{_mandir}/man1/dropdb.1 dropdb.1 %{pgsqldatadir}/man/man1/dropdb.1* || :
update-alternatives \
	--install %{_bindir}/dropuser dropuser %{pgsqllibdir}/bin/dropuser %{pgsqlpriority} \
	--slave %{_mandir}/man1/dropuser.1 dropuser.1 %{pgsqldatadir}/man/man1/dropuser.1* || :
update-alternatives \
	--install %{_bindir}/pg_archivecleanup pg_archivecleanup %{pgsqllibdir}/bin/pg_archivecleanup %{pgsqlpriority} \
	--slave %{_mandir}/man1/pg_archivecleanup.1 pg_archivecleanup.1 %{pgsqldatadir}/man/man1/pg_archivecleanup.1* || :
update-alternatives \
	--install %{_bindir}/pg_dump pg_dump %{pgsqllibdir}/bin/pg_dump %{pgsqlpriority} \
	--slave %{_mandir}/man1/pg_dump.1 pg_dump.1 %{pgsqldatadir}/man/man1/pg_dump.1* || :
update-alternatives \
	--install %{_bindir}/pg_dumpall pg_dumpall %{pgsqllibdir}/bin/pg_dumpall %{pgsqlpriority} \
	--slave %{_mandir}/man1/pg_dumpall.1 pg_dumpall.1 %{pgsqldatadir}/man/man1/pg_dumpall.1* || :
update-alternatives \
	--install %{_bindir}/pg_isready pg_isready %{pgsqllibdir}/bin/pg_isready %{pgsqlpriority} \
	--slave %{_mandir}/man1/pg_isready.1 pg_isready.1 %{pgsqldatadir}/man/man1/pg_isready.1* || :
update-alternatives \
	--install %{_bindir}/pg_restore pg_restore %{pgsqllibdir}/bin/pg_restore %{pgsqlpriority} \
	--slave %{_mandir}/man1/pg_restore.1 pg_restore.1 %{pgsqldatadir}/man/man1/pg_restore.1* || :
update-alternatives \
	--install %{_bindir}/psql psql %{pgsqllibdir}/bin/psql %{pgsqlpriority} \
	--slave %{_mandir}/man1/psql.1 pgsql.1 %{pgsqldatadir}/man/man1/psql.1* || :
update-alternatives \
	--install %{_bindir}/reindexdb reindexdb %{pgsqllibdir}/bin/reindexdb %{pgsqlpriority} \
	--slave %{_mandir}/man1/reindexdb.1 reindexdb.1 %{pgsqldatadir}/man/man1/reindexdb.1* || :
update-alternatives \
	--install %{_bindir}/vacuumdb vacuumdb %{pgsqllibdir}/bin/vacuumdb %{pgsqlpriority} \
	--slave %{_mandir}/man1/vacuumdb.1 vacuumdb.1 %{pgsqldatadir}/man/man1/vacuumdb.1* || :

%postun	clients
if [ $1 -eq 0 ]; then
	update-alternatives --remove clusterdb %{pgsqllibdir}/bin/clusterdb || :
	update-alternatives --remove createdb %{pgsqllibdir}/bin/createdb || :
	update-alternatives --remove createuser %{pgsqllibdir}/bin/createuser || :
	update-alternatives --remove dropdb %{pgsqllibdir}/bin/dropdb || :
	update-alternatives --remove dropuser %{pgsqllibdir}/bin/dropuser || :
	update-alternatives --remove pg_archivecleanup %{pgsqllibdir}/bin/pg_archivecleanup || :
	update-alternatives --remove pg_dump %{pgsqllibdir}/bin/pg_dump || :
	update-alternatives --remove pg_dumpall %{pgsqllibdir}/bin/pg_dumpall || :
	update-alternatives --remove pg_isready %{pgsqllibdir}/bin/pg_isready || :
	update-alternatives --remove pg_restore %{pgsqllibdir}/bin/pg_restore || :
	update-alternatives --remove psql %{pgsqllibdir}/bin/psql || :
	update-alternatives --remove reindexdb %{pgsqllibdir}/bin/reindexdb || :
	update-alternatives --remove vacuumdb %{pgsqllibdir}/bin/vacuumdb || :
fi

%files -f main.lang
%defattr(644,root,root,755)
%doc COPYRIGHT README HISTORY doc/{KNOWN_BUGS,MISSING_FEATURES,TODO}
%attr(754,root,root) /etc/rc.d/init.d/postgresql-%{pgsqlversion}
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/postgresql-%{pgsqlversion}

%attr(755,root,root) %{pgsqllibdir}/bin/initdb
%attr(755,root,root) %{pgsqllibdir}/bin/pg_basebackup
%attr(755,root,root) %{pgsqllibdir}/bin/pg_checksums
%attr(755,root,root) %{pgsqllibdir}/bin/pg_controldata
%attr(755,root,root) %{pgsqllibdir}/bin/pg_ctl
%attr(755,root,root) %{pgsqllibdir}/bin/pg_resetwal
%attr(755,root,root) %{pgsqllibdir}/bin/pg_receivewal
%attr(755,root,root) %{pgsqllibdir}/bin/pg_recvlogical
%attr(755,root,root) %{pgsqllibdir}/bin/pg_rewind
%attr(755,root,root) %{pgsqllibdir}/bin/pg_test_fsync
%attr(755,root,root) %{pgsqllibdir}/bin/pg_test_timing
%attr(755,root,root) %{pgsqllibdir}/bin/pg_upgrade
%attr(755,root,root) %{pgsqllibdir}/bin/pg_waldump
%attr(755,root,root) %{pgsqllibdir}/bin/pgbench
%attr(755,root,root) %{pgsqllibdir}/bin/postgres
%attr(755,root,root) %{pgsqllibdir}/bin/postmaster

%attr(755,root,root) %{moduledir}/ascii_and_mic.so
%attr(755,root,root) %{moduledir}/cyrillic_and_mic.so
%attr(755,root,root) %{moduledir}/dict_int.so
%attr(755,root,root) %{moduledir}/dict_snowball.so
%attr(755,root,root) %{moduledir}/dict_xsyn.so
%attr(755,root,root) %{moduledir}/euc*.so
%attr(755,root,root) %{moduledir}/latin2_and_win1250.so
%attr(755,root,root) %{moduledir}/latin_and_mic.so
%attr(755,root,root) %{moduledir}/libpqwalreceiver.so
%attr(755,root,root) %{moduledir}/pgoutput.so
%attr(755,root,root) %{moduledir}/plpgsql.so
%attr(755,root,root) %{moduledir}/utf8_and_*.so

%dir %{extensiondir}
%{extensiondir}/plpgsql--*.sql
%{extensiondir}/plpgsql.control

%{pgsqldatadir}/*.bki
%{pgsqldatadir}/*.sample
%{pgsqldatadir}/*.description
%{pgsqldatadir}/*.shdescription
%{pgsqldatadir}/*.sql
%{pgsqldatadir}/*.txt
%{pgsqldatadir}/timezonesets
%{pgsqldatadir}/tsearch_data

%dir %{pgsqldatadir}/contrib

%{pgsqldatadir}/man/man1/initdb.1*
%{pgsqldatadir}/man/man1/pg_basebackup.1*
%{pgsqldatadir}/man/man1/pg_checksums.1*
%{pgsqldatadir}/man/man1/pg_controldata.1*
%{pgsqldatadir}/man/man1/pg_ctl.1*
%{pgsqldatadir}/man/man1/pg_resetwal.1*
%{pgsqldatadir}/man/man1/pg_receivewal.1*
%{pgsqldatadir}/man/man1/pg_recvlogical.1*
%{pgsqldatadir}/man/man1/pg_rewind.1*
%{pgsqldatadir}/man/man1/pg_waldump.1*
%{pgsqldatadir}/man/man1/pg_test_fsync.1*
%{pgsqldatadir}/man/man1/pg_test_timing.1*
%{pgsqldatadir}/man/man1/pg_upgrade.1*
%{pgsqldatadir}/man/man1/pgbench.1*
%{pgsqldatadir}/man/man1/postgres.1*
%{pgsqldatadir}/man/man1/postmaster.1*

%files dirs
%defattr(644,root,root,755)
%dir %{pgsqllibdir}
%dir %{pgsqllibdir}/bin
%dir %{pgsqllibdir}/lib
%dir %{pgsqldatadir}
%dir %{pgsqldatadir}/man
%dir %{pgsqldatadir}/man/man1
%dir %{pgsqldatadir}/man/man3
%dir %{pgsqldatadir}/man/man7
%attr(700,postgres,postgres) %dir /var/lib/postgresql/%{pgsqlversion}

%files doc
%defattr(644,root,root,755)
%doc doc/src/sgml/html howto
%{_examplesdir}/%{name}-%{version}

%files ecpg -f ecpg-%{pgsqlversion}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{pgsqllibdir}/bin/ecpg
%{pgsqldatadir}/man/man1/ecpg.1*

%files backend-devel
%defattr(644,root,root,755)
%dir %{_includedir}/postgresql/%{pgsqlversion}
%{_includedir}/postgresql/%{pgsqlversion}/server
%dir %{moduledir}/pgxs
%attr(755,root,root) %{moduledir}/pgxs/config
%{moduledir}/pgxs/src
%{pgsqldatadir}/man/man3/SPI_*.3*

%files clients -f clients.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{pgsqllibdir}/bin/clusterdb
%attr(755,root,root) %{pgsqllibdir}/bin/createdb
%attr(755,root,root) %{pgsqllibdir}/bin/createuser
%attr(755,root,root) %{pgsqllibdir}/bin/dropdb
%attr(755,root,root) %{pgsqllibdir}/bin/dropuser
%attr(755,root,root) %{pgsqllibdir}/bin/pg_archivecleanup
%attr(755,root,root) %{pgsqllibdir}/bin/pg_dump
%attr(755,root,root) %{pgsqllibdir}/bin/pg_dumpall
%attr(755,root,root) %{pgsqllibdir}/bin/pg_isready
%attr(755,root,root) %{pgsqllibdir}/bin/pg_restore
%attr(755,root,root) %{pgsqllibdir}/bin/psql
%attr(755,root,root) %{pgsqllibdir}/bin/reindexdb
%attr(755,root,root) %{pgsqllibdir}/bin/vacuumdb

%{pgsqldatadir}/man/man1/clusterdb.1*
%{pgsqldatadir}/man/man1/createdb.1*
%{pgsqldatadir}/man/man1/createuser.1*
%{pgsqldatadir}/man/man1/dropdb.1*
%{pgsqldatadir}/man/man1/dropuser.1*
%{pgsqldatadir}/man/man1/pg_archivecleanup.1*
%{pgsqldatadir}/man/man1/pg_dump.1*
%{pgsqldatadir}/man/man1/pg_dumpall.1*
%{pgsqldatadir}/man/man1/pg_isready.1*
%{pgsqldatadir}/man/man1/pg_restore.1*
%{pgsqldatadir}/man/man1/psql.1*
%{pgsqldatadir}/man/man1/reindexdb.1*
%{pgsqldatadir}/man/man1/vacuumdb.1*
%{pgsqldatadir}/man/man7/*.7*

%if %{with perl}
%files module-plperl -f plperl-%{pgsqlversion}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{moduledir}/plperl.so
%{extensiondir}/plperl--*.sql
%{extensiondir}/plperl.control
%{extensiondir}/plperlu--*.sql
%{extensiondir}/plperlu.control
%endif

%if %{with python}
%files module-plpython -f plpython-%{pgsqlversion}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{moduledir}/plpython3.so
%{extensiondir}/plpython*--*.sql
%{extensiondir}/plpython*.control
%endif

%if %{with tcl}
%files module-pltcl -f pltcl-%{pgsqlversion}.lang
%defattr(644,root,root,755)
%attr(755,root,root) %{moduledir}/pltcl.so
%{extensiondir}/pltcl*--*.sql
%{extensiondir}/pltcl*.control
%endif

%files module-dblink
%defattr(644,root,root,755)
%attr(755,root,root) %{moduledir}/dblink.so
%{extensiondir}/dblink--*.sql
%{extensiondir}/dblink.control
%{pgsqldatadir}/man/man3/dblink*.3*

%files module-lo
%defattr(644,root,root,755)
%attr(755,root,root) %{moduledir}/lo.so
%{extensiondir}/lo--*.sql
%{extensiondir}/lo.control

%files module-pg_trgm
%defattr(644,root,root,755)
%attr(755,root,root) %{moduledir}/pg_trgm.so
%{extensiondir}/pg_trgm--*.sql
%{extensiondir}/pg_trgm.control

%files module-pgcrypto
%defattr(644,root,root,755)
%attr(755,root,root) %{moduledir}/pgcrypto.so
%{extensiondir}/pgcrypto--*.sql
%{extensiondir}/pgcrypto.control

%if %{with selinux}
%files module-sepgsql
%defattr(644,root,root,755)
%attr(755,root,root) %{moduledir}/sepgsql.so
%{extensiondir}/sepgsql.sql
%endif

%files module-tablefunc
%defattr(644,root,root,755)
%attr(755,root,root) %{moduledir}/tablefunc.so
%{extensiondir}/*tablefunc--*.sql
%{extensiondir}/*tablefunc.control

%files module-xml2
%defattr(644,root,root,755)
%attr(755,root,root) %{moduledir}/pgxml.so
%{extensiondir}/xml2--*.sql
%{extensiondir}/xml2.control

%files contrib
%defattr(644,root,root,755)
%doc contrib/README
%attr(755,root,root) %{pgsqllibdir}/bin/oid2name
%attr(755,root,root) %{pgsqllibdir}/bin/pg_standby
%attr(755,root,root) %{pgsqllibdir}/bin/vacuumlo
%attr(755,root,root) %{moduledir}/_int.so
%attr(755,root,root) %{moduledir}/adminpack.so
%attr(755,root,root) %{moduledir}/auth_delay.so
%attr(755,root,root) %{moduledir}/auto_explain.so
%attr(755,root,root) %{moduledir}/bloom.so
%attr(755,root,root) %{moduledir}/btree_gin.so
%attr(755,root,root) %{moduledir}/btree_gist.so
%attr(755,root,root) %{moduledir}/citext.so
%attr(755,root,root) %{moduledir}/cube.so
%attr(755,root,root) %{moduledir}/earthdistance.so
%attr(755,root,root) %{moduledir}/file_fdw.so
%attr(755,root,root) %{moduledir}/fuzzystrmatch.so
%attr(755,root,root) %{moduledir}/hstore.so
%attr(755,root,root) %{moduledir}/isn.so
%attr(755,root,root) %{moduledir}/ltree.so
%attr(755,root,root) %{moduledir}/pageinspect.so
%attr(755,root,root) %{moduledir}/passwordcheck.so
%attr(755,root,root) %{moduledir}/pg_buffercache.so
%attr(755,root,root) %{moduledir}/pg_freespacemap.so
%attr(755,root,root) %{moduledir}/pg_prewarm.so
%attr(755,root,root) %{moduledir}/pg_stat_statements.so
%attr(755,root,root) %{moduledir}/pg_visibility.so
%attr(755,root,root) %{moduledir}/pgrowlocks.so
%attr(755,root,root) %{moduledir}/pgstattuple.so
%attr(755,root,root) %{moduledir}/postgres_fdw.so
%attr(755,root,root) %{moduledir}/seg.so
%attr(755,root,root) %{moduledir}/sslinfo.so
%attr(755,root,root) %{moduledir}/tcn.so
%attr(755,root,root) %{moduledir}/tsm_system_rows.so
%attr(755,root,root) %{moduledir}/tsm_system_time.so
%attr(755,root,root) %{moduledir}/unaccent.so
%attr(755,root,root) %{moduledir}/uuid-ossp.so
%{extensiondir}/adminpack--*.sql
%{extensiondir}/adminpack.control
%{extensiondir}/bloom--*.sql
%{extensiondir}/bloom.control
%{extensiondir}/btree_gin--*.sql
%{extensiondir}/btree_gin.control
%{extensiondir}/btree_gist--*.sql
%{extensiondir}/btree_gist.control
%{extensiondir}/citext--*.sql
%{extensiondir}/citext.control
%{extensiondir}/cube--*.sql
%{extensiondir}/cube.control
%{extensiondir}/dict_int--*.sql
%{extensiondir}/dict_int.control
%{extensiondir}/dict_xsyn--*.sql
%{extensiondir}/dict_xsyn.control
%{extensiondir}/earthdistance--*.sql
%{extensiondir}/earthdistance.control
%{extensiondir}/file_fdw--*.sql
%{extensiondir}/file_fdw.control
%{extensiondir}/fuzzystrmatch--*.sql
%{extensiondir}/fuzzystrmatch.control
%{extensiondir}/hstore--*.sql
%{extensiondir}/hstore.control
%{extensiondir}/intarray--*.sql
%{extensiondir}/intarray.control
%{extensiondir}/intagg--*.sql
%{extensiondir}/intagg.control
%{extensiondir}/isn--*.sql
%{extensiondir}/isn.control
%{extensiondir}/ltree--*.sql
%{extensiondir}/ltree.control
%{extensiondir}/pageinspect--*.sql
%{extensiondir}/pageinspect.control
%{extensiondir}/pg_buffercache--*.sql
%{extensiondir}/pg_buffercache.control
%{extensiondir}/pg_freespacemap--*.sql
%{extensiondir}/pg_freespacemap.control
%{extensiondir}/pg_prewarm--*.sql
%{extensiondir}/pg_prewarm.control
%{extensiondir}/pg_stat_statements--*.sql
%{extensiondir}/pg_stat_statements.control
%{extensiondir}/pg_visibility--*.sql
%{extensiondir}/pg_visibility.control
%{extensiondir}/pgrowlocks--*.sql
%{extensiondir}/pgrowlocks.control
%{extensiondir}/pgstattuple--*.sql
%{extensiondir}/pgstattuple.control
%{extensiondir}/postgres_fdw--*.sql
%{extensiondir}/postgres_fdw.control
%{extensiondir}/seg--*.sql
%{extensiondir}/seg.control
%{extensiondir}/sslinfo--*.sql
%{extensiondir}/sslinfo.control
%{extensiondir}/tcn--*.sql
%{extensiondir}/tcn.control
%{extensiondir}/tsm_system_rows--*.sql
%{extensiondir}/tsm_system_rows.control
%{extensiondir}/tsm_system_time--*.sql
%{extensiondir}/tsm_system_time.control
%{extensiondir}/unaccent--*.sql
%{extensiondir}/unaccent.control
%{extensiondir}/uuid-ossp--*.sql
%{extensiondir}/uuid-ossp.control
%if %{with perl}
%attr(755,root,root) %{moduledir}/hstore_plperl.so
%{extensiondir}/hstore_plperl--*.sql
%{extensiondir}/hstore_plperl.control
%{extensiondir}/hstore_plperlu--*.sql
%{extensiondir}/hstore_plperlu.control
%endif
%if %{with python}
%attr(755,root,root) %{moduledir}/hstore_plpython3.so
%attr(755,root,root) %{moduledir}/ltree_plpython3.so
%{extensiondir}/hstore_plpythonu--*.sql
%{extensiondir}/hstore_plpythonu.control
%{extensiondir}/hstore_plpython2u--*.sql
%{extensiondir}/hstore_plpython2u.control
%{extensiondir}/hstore_plpython3u--*.sql
%{extensiondir}/hstore_plpython3u.control
%{extensiondir}/ltree_plpythonu--*.sql
%{extensiondir}/ltree_plpythonu.control
%{extensiondir}/ltree_plpython2u--*.sql
%{extensiondir}/ltree_plpython2u.control
%{extensiondir}/ltree_plpython3u--*.sql
%{extensiondir}/ltree_plpython3u.control
%endif
%{pgsqldatadir}/man/man1/oid2name.1*
%{pgsqldatadir}/man/man1/pg_standby.1*
%{pgsqldatadir}/man/man1/vacuumlo.1*
%changelog
* Tue Apr 23 2024 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/postgresql.git;a=log;h=PGSQL_12

* Tue Apr 23 2024 Marcin Krol <hawk@tld-linux.org> 4c35588
- updated to 12.18

* Sat Dec 16 2023 Marcin Krol <hawk@tld-linux.org> b152226
- updated to 12.17

* Tue Jul 18 2023 Marcin Krol <hawk@tld-linux.org> b27c98a
- updated to 12.15

* Tue Mar 07 2023 Marcin Krol <hawk@tld-linux.org> 4c00ce6
- updated to 12.14

* Sat Aug 27 2022 Marcin Krol <hawk@tld-linux.org> 46cc594
- updated to 12.12

* Sat May 28 2022 Marcin Krol <hawk@tld-linux.org> 80e8060
- really prefer python3 over python2

* Sat May 28 2022 Marcin Krol <hawk@tld-linux.org> c8e563b
- updated to 12.11

* Tue Apr 05 2022 Marcin Krol <hawk@tld-linux.org> b75fcca
- fix python R

* Mon Apr 04 2022 Marcin Krol <hawk@tld-linux.org> 3fe30ee
- build with python3, allow newer autoconf, adjust for rpm.org

* Thu Mar 31 2022 Marcin Krol <hawk@tld-linux.org> 6ea85db
- updated to 12.10

* Sun Jan 23 2022 Marcin Krol <hawk@tld-linux.org> 41c8371
- updated to 12.9

* Sat Sep 18 2021 Marcin Krol <hawk@tld-linux.org> d4353c7
- updated to 12.8

* Fri Jul 09 2021 Marcin Krol <hawk@tld-linux.org> 602a191
- updated to 12.7

* Thu Dec 03 2020 Marcin Krol <hawk@tld-linux.org> aa58e16
- PostgreSQL 13 is now default in TLD

* Thu Dec 03 2020 Marcin Krol <hawk@tld-linux.org> c5d0e6c
- updated to 12.5

* Sun Aug 16 2020 Marcin Krol <hawk@tld-linux.org> 18a773d
- fix regress test

* Sun Aug 16 2020 Marcin Krol <hawk@tld-linux.org> 14942bc
- updated to 12.4

* Mon May 18 2020 Marcin Krol <hawk@tld-linux.org> 079e1ed
- updated to 12.3

* Wed Apr 29 2020 Marcin Krol <hawk@tld-linux.org> 238e9f2
- release 2

* Sat Feb 29 2020 Marcin Krol <hawk@tld-linux.org> 0c78f7d
- updated to 12.2

